Domain Registration API
POST /services/domains/v1/domains/analytics/overview Auth

Request Body

FieldTypeRequiredDescriptionExample
platform_id string No

Responses

200
403
401
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data object
data.window_days object|null
data.since string
data.funnel_by_day mixed[]
data.session_funnel object
data.unoffered_tld_demand string
data.top_offered_tlds string
Forbidden — insufficient permissions
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data mixed[]
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/domains/v1/domains/analytics/overview" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "platform_id": "string"
}'
fetch('https://api.wemasy.nl/api/services/domains/v1/domains/analytics/overview', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "platform_id": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/domains/v1/domains/analytics/overview', {
    "platform_id": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "platform_id": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/domains/v1/domains/analytics/overview", headers=headers, json=data)
print(r.json())
Response Example
{
    "error": false,
    "message": "string",
    "data": {
        "window_days": {},
        "since": "string",
        "funnel_by_day": [],
        "session_funnel": {
            "searched": 0,
            "added": 0,
            "started": 0,
            "completed": 0,
            "pct": {
                "search_to_add": 0,
                "add_to_start": 0,
                "start_to_complete": 0,
                "overall": 0
            }
        },
        "unoffered_tld_demand": "string",
        "top_offered_tlds": "string"
    }
}

Try It
Request Body Optional

Export